﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static async Task Main(string[] args)
        {
            (string id, string password) = ("testuser", "pass@word");
            string jiraServer = "jira.test.com";

            Jira jira = new Jira();

            if (await jira.Login(jiraServer, id, password) == false)
            {
                Console.WriteLine("Auth failed: " + id);
                return;
            }

            string projectKey = "myProject";
            string assignee = id;

            SearchResult result = await jira.GetIssuesByAssignee(projectKey, assignee);

            foreach (var issue in result.issues)
            {
                Console.WriteLine(issue.key);
            }
        }
    }
}
